summaryrefslogtreecommitdiff
path: root/fsmgr
diff options
context:
space:
mode:
authorAndrew Cady <d@jerkface.net>2018-07-10 01:18:55 -0400
committerAndrew Cady <d@jerkface.net>2018-07-10 05:46:00 -0400
commit8bca4cb18e18977c594fbebf5cbebb909bc0ef4b (patch)
treef91a84122eccdec729000fc5942a4028c4d971c9 /fsmgr
parentca5de8fc5e6fd55a73ac58f939961818e31d3dbf (diff)
support for debconf
Diffstat (limited to 'fsmgr')
-rwxr-xr-xfsmgr1
1 files changed, 1 insertions, 0 deletions
diff --git a/fsmgr b/fsmgr
index 06bb996..f2c6ff1 100755
--- a/fsmgr
+++ b/fsmgr
@@ -2,6 +2,7 @@
2die() { printf 'Error: %s\n' "$*" >&2; exit 1; } 2die() { printf 'Error: %s\n' "$*" >&2; exit 1; }
3root=$(stack path --local-install-root) || die "subcommand failed: 'stack path'" 3root=$(stack path --local-install-root) || die "subcommand failed: 'stack path'"
4bin=$root/bin/fsmgr 4bin=$root/bin/fsmgr
5stack build
5case "$(id -u)" in 6case "$(id -u)" in
6 0) exec "$bin" "$@" ;; 7 0) exec "$bin" "$@" ;;
7 *) exec sudo -- "$bin" "$@" ;; 8 *) exec sudo -- "$bin" "$@" ;;